> For the complete documentation index, see [llms.txt](https://docs.onvision.ai/api-book/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onvision.ai/api-book/api/getcategories.md).

# GetCategories

Using this method will return the name of every category you have as well as their UUID.

## GetCategories

<mark style="color:green;">`POST`</mark> `https://testapi.onvision.ai/wsservice.asmx`

Use this method to get your categories as JSON result.

#### Path Parameters

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| TOKEN | string | Token       |

{% tabs %}
{% tab title="200 Response when token is valid." %}

```javascript
{
	"Envelope": {
		"Success": "1",
		"Message": "",
		"Info": {
			"Version": "1.0.0",
			"Run_Date": "20211005085801",
			"Executed_ms": "190.015"
		},
		"Result": {
			"Category": "Accounting 1",
			"UUID": "2BAE24CB-4E6C-4690-B4E8-CA55D818F357"
		}
	}
}
```

{% endtab %}
{% endtabs %}

## GetCategories

<mark style="color:green;">`POST`</mark> `https://testapi.onvision.ai/wsserviceNet.asmx`

Use this method to get your categories as XML result.

#### Path Parameters

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| TOKEN | string | Token       |

{% tabs %}
{% tab title="200 Response when token is valid" %}

```markup
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <soap:Body>
        <GetCategoriesResponse xmlns="http://tempuri.org/">
            <GetCategoriesResult>
                <Envelope xmlns="">
                    <Success>1</Success>
                    <Message></Message>
                    <Info>
                        <Version>1.0.0</Version>
                        <Run_Date>20211005090350</Run_Date>
                        <Executed_ms>4.0042</Executed_ms>
                    </Info>
                    <Result>
                        <Category>Accounting 1</Category>
                        <UUID>2BAE24CB-4E6C-4690-B4E8-CA55D818F357</UUID>
                    </Result>
                </Envelope>
            </GetCategoriesResult>
        </GetCategoriesResponse>
    </soap:Body>
</soap:Envelope>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onvision.ai/api-book/api/getcategories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
